
QGIS Application - Bug report #18919

QGIS 3.0.1 crashes when opening project last saved in QGIS 2.18.11-1  

2018-05-06 11:43 PM - David Lane

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.0.2 Regression?: No

Operating System: Window 7 Pro Service Pack 1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 26751

Description

User Feedback

Report Details

Crash ID: 6c2deabe7e75f17c31a694cf41ea09265f52f937

Stack Trace

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::createGeosLinestring :

QgsGeos::asGeos :

QgsGeos::cacheGeos :

QgsGeos::QgsGeos :

QgsGeometry::intersects :

providerKey :

providerKey :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerFeatureIterator::fetchFeature :

QgsAbstractFeatureIterator::nextFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsImageOperation::overlayColor :

QgsImageOperation::flipImage :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History
#1 - 2018-05-06 11:46 PM - David Lane

Error on form: Crashes QGIS

#2 - 2018-05-07 01:06 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #14752
